#ifndef SURFACE_POINT_FILTER_H
#define SURFACE_POINT_FILTER_H


#include <vtkUnstructuredGridAlgorithm.h>
#include <vtkIdList.h>


class SurfacePointsFilter : public vtkUnstructuredGridAlgorithm {
public:
	static SurfacePointsFilter *New();
	vtkTypeMacro(SurfacePointsFilter, vtkUnstructuredGridAlgorithm);
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;

protected:
	~SurfacePointsFilter() override = default;
};


#endif
